#include <fstream>
#include <iostream>

using namespace std;

int divide(int a, int b) {
    if (b == 0) throw(string) "Division by zero is not allowed!";  // Error: Division by zero is not allowed
    return a / b;
}

int main() {
    int dividend;
    int divisor;
    bool input = 1;
    string s;
    ifstream fileoutput("results.txt", ios::in);
    ofstream fileinput("results.txt", ios::app);

    do {
        system("cls"); //Clears the screen for windows-systems. For unix, use system("clear"); - you can also omit it
        cout << "Dividend: ";
        cin >> dividend;
        cout << "Divisor: ";
        cin >> divisor;

        try {
            cout << divide(dividend, divisor) << endl;
            if (fileinput.good())
                fileinput << dividend << "/" << divisor << "=" << divide(dividend, divisor) << endl;
            else
                throw(string) "File could not be opened.";  // Error: File is write-protected
        } catch (const string msg) {
            cerr << msg << endl;  // Output error
        }
        cout << "Continue? [1] YES [0] NO" << endl << "Input: ";
        cin >> input;
    } while (input != 0);

    fileinput.close();

    system("cls");

    while (!fileoutput.eof()) {
        getline(fileoutput, s);
        cout << s << endl;
    }

    fileoutput.close();

    return 0;
}
