#include <iostream>

using namespace std;

class Element {
   public:
    int value;     /* Value of the element         */
    Element *next; /* Pointer to the next element */
};

int main() {
    int input = 1;
    Element *beginning = NULL;  // The beginning points to NULL

    while (input)  // as long as 0 is not entered
    {
        cout << "Enter value: ";
        cin >> input;
        Element *object = new Element;  // Create new object with newly assigned address
        object->value = input;
        object->next = beginning;  // The last element points to the new element
        beginning = object;        // The new element becomes the last element
    }

    while (beginning != NULL) {
        cout << beginning->value << endl;
        beginning = beginning->next;  // The successor becomes the current node
    }

    return 0;
}
