#include <iostream>

using namespace std;

// Determines the minimum of a and b
template <class T>
inline const T minimum(const T a, const T b);

int main() {
    int x = 5, y = 6;

    int z = minimum<int>(x, y);
    cout << z << endl;

    // Also works for chars:
    char a = 'a', b = 'b';

    cout << minimum<char>(a, b) << endl;  // Outputs a

    return 0;
};

template <class T>
inline const T minimum(const T a, const T b) {
    return a < b ? a : b;
}
