#include <fstream>
#include <iostream>

using namespace std;

int main() {
    char c, previous = 'a';  // previous must be initialized with a letter
    ifstream reader;
    ofstream writer;

    reader.open("text.txt", ios::in);
    writer.open("copy.txt");

    if (reader.good()) {
        if (writer.good()) {
            while (reader.get(c)) {
                if (!(previous == ' ' && c == ' '))  // Output only appears if the previous and current character is not a blank.
                {
                    cout << c;
                    writer.put(c);  // Save character into a new file
                }
                previous = c;
            }
        } else
            cout << "File copy.txt cannot be opened." << endl;
    } else
        cout << "File text.txt cannot be opened." << endl;

    reader.close();
    writer.close();

    return 0;
}
