#include <iostream>

using namespace std;

template <class A_Type>
class calc {
   private:
    A_Type var1, var2;

   public:
    calc(A_Type v1, A_Type v2) : var1(v1), var2(v2){};
    A_Type multiply();
    A_Type add();
};

template <class A_Type>
A_Type calc<A_Type>::multiply() {
    return var1 * var2;
}
template <class A_Type>
A_Type calc<A_Type>::add() {
    return var1 + var2;
}

template <>
string calc<string>::add() {
    return var1 + " " + var2;
}

int main() {
    calc<double> double_var(10.5, 14.5);
    cout << "Addition: " << double_var.add() << endl << "Multiplication: " << double_var.multiply() << endl;
    calc<int> int_var(5, 9);
    cout << "Addition: " << int_var.add() << endl << "Multiplication: " << int_var.multiply() << endl;
    calc<string> string_var("Hello", "World");
    cout << "String concatenation: " << string_var.add() << endl;

    return 0;
}
